Piece initialization options

### Hierarchy

- IPiecesOptions

## Index

### Properties

- attribute
- attributeId
- attributeName
- components
- initialState
- nameGroupSeparator
- options
- selector

## Properties

### attribute

attribute: string

Data attribute that is used to extract piece type from node

default

  "data-piece"

### attributeId

attributeId: string

Data attribute that is used to extract piece id from node

default

  "data-id"

### attributeName

attributeName: string

Data attribute that is used to extract piece name from node

default

  "data-name"

### components

components: Partial<Record<PieceType, IComponent>>

Specifies components used to edit specific piece type

### Optional initialState

initialState: any

Initial state to merge into piece state

### nameGroupSeparator

nameGroupSeparator: string

Name separator for piece names, i.e. if separator is ':' names like 'Body:Article' and 'Body:About' will be grouped under 'Body' with 'Article' and 'About' names

default:

  ','

### Optional options

options: Partial<Record<PieceType, any>>

Default options per piece type

### selector

selector: string

Selector which is looked for pieces auto-init

default

  "[data-piece]"

Generated using TypeDoc